GrailsTestEventConsoleReporter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.event
[Groovy] Class GrailsTestEventConsoleReporter

    java.lang.Object
      org.codehaus.groovy.grails.test.event.GrailsTestEventConsoleReporter

All Implemented Interfaces:
  GrailsBuildListener

    class GrailsTestEventConsoleReporter
    extends java.lang.Object

Field Summary
`protected int` | `failureCount`
`protected java.io.PrintStream` | `out`

Constructor Summary
`GrailsTestEventConsoleReporter(java.io.PrintStream out)`

Method Summary
`protected java.lang.Object` | `doTestCaseEnd(java.lang.String name, java.lang.String out, java.lang.String err)`
`protected java.lang.Object` | `doTestCaseStart(java.lang.String name)`
`protected java.lang.Object` | `doTestFailure(java.lang.String name, java.lang.Object failure, boolean isError)`
`void` | `receiveGrailsBuildEvent(java.lang.String name, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### failureCount

    protected int failureCount

### out

    protected java.io.PrintStream out

Constructor Detail

### GrailsTestEventConsoleReporter

    GrailsTestEventConsoleReporter(java.io.PrintStream out)

Method Detail

### doTestCaseEnd

    protected java.lang.Object doTestCaseEnd(java.lang.String name, java.lang.String out, java.lang.String err)

### doTestCaseStart

    protected java.lang.Object doTestCaseStart(java.lang.String name)

### doTestFailure

    protected java.lang.Object doTestFailure(java.lang.String name, java.lang.Object failure, boolean isError)

### receiveGrailsBuildEvent

    void receiveGrailsBuildEvent(java.lang.String name, java.lang.Object[] args)

Groovy Documentation